﻿// <copyright file="NinjectUiModule.cs" company="Selectron Systems AG">
// Copyright (c) Selectron Systems AG. All rights reserved.
// </copyright>
namespace ObjectDiffer.Presentation.Evaluation
{
    using Caliburn.Micro;

    using Ninject.Modules;

    /// <summary>
    /// Defines the ninject module for the UI assembly.
    /// </summary>
    public class NinjectUiModule : NinjectModule
    {
        /// <summary>
        /// Loads the module into the kernel.
        /// </summary>
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Maintainability", "CA1506:AvoidExcessiveClassCoupling", Justification = "This is a NInject module.")]
        public override void Load()
        {
            this.Bind<IWindowManager>().ToConstant(new WindowManager());
        }
    }
}
